Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
unable to build kernel on ultra5 [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
gtbX
Tux's lil' helper
Tux's lil' helper


Joined: 11 Oct 2003
Posts: 99

PostPosted: Fri Apr 28, 2006 3:21 am    Post subject: unable to build kernel on ultra5 [solved] Reply with quote

Just completed a 2006.0 install on my ultra 5 - no problems. I did an emerge -uavDN world, it installed a bunch of updates and a few new packages (including kgcc64 - don't know if thats relevant). Anyway, when i try to compile the kernel now it complains about a missing sparc64-linux-gcc:

Code:

sol linux # make modules modules_install
gcc-config error: Could not run/locate "sparc64-linux-gcc"
gcc-config error: Could not run/locate "sparc64-linux-gcc"
  CHK     include/linux/version.h
  CC      arch/sparc64/kernel/asm-offsets.s
gcc-config error: Could not run/locate "sparc64-linux-gcc"
make[1]: *** [arch/sparc64/kernel/asm-offsets.s] Error 1
make: *** [prepare0] Error 2
sol linux # gcc-config -c
sparc-unknown-linux-gnu-3.4.6
sol linux # gcc-config -l
 [1] sparc-unknown-linux-gnu-3.4.6 *
 [2] sparc-unknown-linux-gnu-3.4.6-hardened
 [3] sparc-unknown-linux-gnu-3.4.6-hardenednopie
 [4] sparc-unknown-linux-gnu-3.4.6-hardenednopiessp
 [5] sparc-unknown-linux-gnu-3.4.6-hardenednossp
 [6] sparc64-unknown-linux-gnu-3.4.5 *
sol linux # which sparc64-linux-gcc
/usr/bin/sparc64-linux-gcc


(I changed the /etc/make.profile symlink to /usr/portage/profiles/default-linux/sparc/sparc64/2006.1 in order to install a 2.6 kernel.. should i try 2006.0 instead?)

#edit - its called an ULTRA 5, not a Sparc 5 :oops:


Last edited by gtbX on Sun Apr 30, 2006 2:11 am; edited 3 times in total
Back to top
View user's profile Send private message
linuxbum
Tux's lil' helper
Tux's lil' helper


Joined: 20 Dec 2003
Posts: 131
Location: USA

PostPosted: Fri Apr 28, 2006 3:31 am    Post subject: Reply with quote

gtbx

Did they ever release the 2.6 kernel for spac5?
My ultra 1 never would compile one and so I stayed at 2.4 .
Then it died last month with horable disk crash and it's never been recovered:-(
Back to top
View user's profile Send private message
gtbX
Tux's lil' helper
Tux's lil' helper


Joined: 11 Oct 2003
Posts: 99

PostPosted: Fri Apr 28, 2006 3:46 am    Post subject: Reply with quote

gentoo-sources-2.6.15-r8 is marked ~sparc right now

when i installed, the /etc/make.profile was symlinked to /usr/portage/profiles/default-linux/sparc/sparc64/2006.0/2.4/, which i changed to unmask the 2.6 kernel.

I think i'll switch back to 2006.0 and try that when i have some time
Back to top
View user's profile Send private message
TheDebugger
Apprentice
Apprentice


Joined: 30 Aug 2005
Posts: 159
Location: Germany

PostPosted: Fri Apr 28, 2006 7:19 am    Post subject: Reply with quote

Don't know whether there's a major difference between ULTRA 5 and Blade 2000, but I'm running the latter one with 2.6.15-gentoo-r7. No problems so far. Hint: don't waste your time with vanilla 2.6.16 :)
Back to top
View user's profile Send private message
gust4voz
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 373
Location: Buenos Aires, Argentina

PostPosted: Fri Apr 28, 2006 12:51 pm    Post subject: Reply with quote

You shouldn't use the 2006.1 profile, it's EXPERIMENTAL, not READY, that includes kgcc64.
_________________
Gustavo Zacarias
Gentoo/SPARC monkey
Back to top
View user's profile Send private message
gust4voz
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 373
Location: Buenos Aires, Argentina

PostPosted: Fri Apr 28, 2006 12:54 pm    Post subject: Reply with quote

With respect to 2.6 kernels there's a nice chart at http://www.gentoo.org/proj/en/base/sparc/sunhw.xml
Basically if it's ~sparc it's kind of safe (albeit some stability issues on some machines).
2.6.16 has issues with the qla2xxx driver that affects Blade 1000, 2000 and fire 280R among maybe others with builtin FCAL drives, that's the reason it's not ~sparc, mostly safe for the other boxes where the 2.6.15 series works right (like ultra 5).
_________________
Gustavo Zacarias
Gentoo/SPARC monkey
Back to top
View user's profile Send private message
midnightlightning
Tux's lil' helper
Tux's lil' helper


Joined: 19 Dec 2004
Posts: 79

PostPosted: Fri Apr 28, 2006 2:46 pm    Post subject: Reply with quote

gust4voz wrote:
With respect to 2.6 kernels there's a nice chart at http://www.gentoo.org/proj/en/base/sparc/sunhw.xml

Hmmm... There wouldn't happen to be a chart like that for Sparc(32)-based boxes, would there?
_________________
"Any sufficiently advanced technology is indistinguisable from magic." -- Arthur C. Clarke
Back to top
View user's profile Send private message
gust4voz
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 373
Location: Buenos Aires, Argentina

PostPosted: Fri Apr 28, 2006 3:27 pm    Post subject: Reply with quote

sparc32 is experimental / unsupported.
_________________
Gustavo Zacarias
Gentoo/SPARC monkey
Back to top
View user's profile Send private message
gtbX
Tux's lil' helper
Tux's lil' helper


Joined: 11 Oct 2003
Posts: 99

PostPosted: Sat Apr 29, 2006 10:39 pm    Post subject: Reply with quote

gust4voz wrote:
You shouldn't use the 2006.1 profile, it's EXPERIMENTAL, not READY, that includes kgcc64.


aah thats why. I will change that back.
Back to top
View user's profile Send private message
gtbX
Tux's lil' helper
Tux's lil' helper


Joined: 11 Oct 2003
Posts: 99

PostPosted: Sun Apr 30, 2006 2:10 am    Post subject: Reply with quote

sorry bout that. changed it to 2006.0, re-emerged gcc-sparc64 and its working now. guess thats what i get for jumping the gun. :oops:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum